#!/bin/sh

IP=$1
COMMUNITY=$2
SNMP_VERSION=$3


TOTAL=`snmpwalk -v $SNMP_VERSION -c $COMMUNITY $IP .1.3.6.1.2.1.25.2.3.1.5.1 | awk '{ print $NF }'`
USED=`snmpwalk -v $SNMP_VERSION -c $COMMUNITY $IP .1.3.6.1.2.1.25.2.3.1.6.1 | awk '{ print $NF }'`

#echo -n "valeur:"
test=$(echo "scale=4;($USED/$TOTAL)*1000000" | bc )

NUMBER=$test
NUMBER=$(echo $NUMBER | awk '{ print $0 + .90 }')
NUMBER=$(printf "%0.f" $NUMBER)
echo "valeur:$NUMBER"

